Subject: [Re]:Segfault when call kernel32 function
From: "류신형" <[email-masked]>
To: [email-masked]
Date: Sun, 14 Jan 2001 13:11:55 KST

To: Cygwin Mailing List <cygwin at sourceware dot cygnus dot com> 
Subject: [Re]:Segfault when call kernel32 function 
From: ShinHyung-Ryu

I had the same problem of calling BuildCommDCB().
(segfaults when BuildCommDCB() hits that call (running under Win98).)

now I find a solution about it.
but I don't know about the difference, using "char coms[]=" and "char *coms=".

see & run below.

#include "stdafx.h"
#include <windows.h>
int main(int argc, char* argv[])
{
	DCB		dcb;
	char coms[]="baud=1200 parity=N data=8 stop=1";
	BuildCommDCB(coms , &dcb);
	printf("%d\n",dcb.BaudRate);
	return 0;
}

==================================================

==================================================
우리 인터넷, Daum
평생 쓰는 무료 E-mail 주소 한메일넷
지구촌 한글 검색서비스 Daum FIREBALL
http://www.daum.net

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple